{
  sucrose.modules = [
    (
      {
        pkgs,
        config,
        lib,
        ...
      }:
      {
        services.gitea-actions-runner = {
          package = pkgs.forgejo-runner;
          instances = {
            ${config.networking.hostName} = {
              enable = true;
              hostPackages =
                with pkgs;
                lib.mkDefault [
                  bash
                  coreutils
                  curl
                  gawk
                  gitMinimal
                  gnused
                  wget
                  nix
                  nixfmt-rfc-style
                  
                ];
              labels = [ ];
              name = config.networking.hostName;
              settings = { };
              tokenFile = config.sops.templates."forgejo_runner.env.secrets.yaml".path;
              url = "https://git.collective-conciousness.monster";
            };
          };
        };
      }
    )
  ];
}
